#include <vector>
#include "lexer/lexi.h"  
#include "lexer/util.h"
#include "lexer/token.h"

const string usage = "usage: app <input> <output>";
                       
int main(int argc, char* argv[]) {
    if(argc != 3) {
        cerr << usage << endl;
        return 1;
    }
    get_file_name(argv[1]);
    vector<string> data = open_file(argv[1]);
    lexi l;
    string temp = argv[2];
    l.lexical_analyzer(data, temp);
    cout << "getting called here in lab 1" << endl;
}
